curl --request GET \
--url https://app.sphinxhq.com/api/checks/{id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.sphinxhq.com/api/checks/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.sphinxhq.com/api/checks/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.sphinxhq.com/api/checks/{id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.sphinxhq.com/api/checks/{id}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.sphinxhq.com/api/checks/{id}/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.sphinxhq.com/api/checks/{id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 123,
"case": {
"id": 123,
"customer": {
"id": 123,
"full_name": "<string>",
"external_id": "<string>",
"customer_type": "INDIVIDUAL"
},
"outcome": "ACCEPTED",
"risk_score": 123
},
"risk_score": 123,
"title": "<string>",
"note": "<string>",
"reasoning": [
"<string>"
],
"outcome": "ACCEPTED",
"status": "PENDING",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"input_details": {},
"check_type": "UBO_RESOLUTION",
"delete_after": -1
}Get Check
Retrieve a specific check by ID
curl --request GET \
--url https://app.sphinxhq.com/api/checks/{id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.sphinxhq.com/api/checks/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.sphinxhq.com/api/checks/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.sphinxhq.com/api/checks/{id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.sphinxhq.com/api/checks/{id}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.sphinxhq.com/api/checks/{id}/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.sphinxhq.com/api/checks/{id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 123,
"case": {
"id": 123,
"customer": {
"id": 123,
"full_name": "<string>",
"external_id": "<string>",
"customer_type": "INDIVIDUAL"
},
"outcome": "ACCEPTED",
"risk_score": 123
},
"risk_score": 123,
"title": "<string>",
"note": "<string>",
"reasoning": [
"<string>"
],
"outcome": "ACCEPTED",
"status": "PENDING",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"input_details": {},
"check_type": "UBO_RESOLUTION",
"delete_after": -1
}Authorizations
OAuth2 access token obtained from POST /api/oauth/token/ using client credentials.
Path Parameters
A unique integer value identifying this check.
Response
Read-only serializer for Check with related objects.
Nested case serializer for Check responses.
Show child attributes
Show child attributes
Risk score (total or average of CRA field scores, depending on aggregation method).
Short title generated by the check. For a watchlist hit, this typically corresponds to the name of the hit indvidual.
1-2 paragraph case note for audit purposes, Markdown format
Detailed reasoning steps, in Markdown. More comprehensive than the note.
The agent's decision.
ACCEPTED- AcceptedREJECTED- RejectedPENDING- Pending
ACCEPTED, REJECTED, PENDING, null PENDING- PendingDECIDING- DecidingDECIDED- DecidedSUBMITTED- SubmittedSKIPPED- SkippedERROR- Error
PENDING, DECIDING, DECIDED, SUBMITTED, SKIPPED, ERROR Flexible JSON input data for this check, scoped to its own case: external-system data (e.g. the name and date of birth of a watchlist hit), ingested infractions, and enrichment-produced context — which may include this case's customer data such as transaction history. Must never contain data about other customers or cases, or any credentials/secrets. Note: this field is exposed via the case read API and webhooks.
UBO_RESOLUTION- UBO ResolutionSIGNING_AUTHORITY- Signing AuthorityBANK_STATEMENT- Bank StatementsBALANCE_SHEETS- Balance SheetsINCOME_STATEMENTS- Income StatementsTAX_DOCUMENTS- Tax DocumentsAUTHORIZATION_FORM- Authorization FormARTICLES_OF_ASSOCIATION- Articles of AssociationCOMMERCIAL_EXTRACT- Commercial ExtractONBOARDING_FORM- Onboarding FormSHAREHOLDER_LIST- Shareholder ListEDD_QUESTIONNAIRE- Enhanced Due Diligence QuestionnaireUSER_RISK_REPORT- User Risk ReportRISK_DECISION- Risk DecisionINCORPORATION_DOCUMENT- Incorporation DocumentMEETING_MINUTES- Meeting MinutesPROOF_OF_IDENTITY- Proof of IdentityFULL_IDV- Full IDVSOURCE_OF_FUNDS- Source of FundsNAME_CHECK- Name CheckPROOF_OF_ADDRESS- Proof of AddressRDC_VERIFICATION- RDC VerificationKYB_PROOF_OF_IDENTITY- Proof of IdentityKYB_BANK_STATEMENT- Bank StatementsKYB_PROOF_OF_ADDRESS- Proof of AddressKYB_TAX_DOCUMENTS- Tax DocumentsCLEAN_SCREENING- Clean ScreeningCRA- Customer Risk AssessmentWEB_PRESENCE- Web PresenceFINANCIAL_LICENSE- Financial LicenseLICENSING- LicensingAML_POLICY- AML Policy DocumentsWOLFSBERG_QUESTIONNAIRE- Wolfsberg QuestionnairePEP- PEPSANCTIONS- SanctionsADVERSE_MEDIA- Adverse MediaBLACKLIST- BlacklistNAME_MATCHING- Name MatchingFINCEN_314A_CP_CUSTOMERS- Counterparty Bank CustomersMULTI_WATCHLIST- Multi-WatchlistBLOCKLIST_SCREENING- Blocklist ScreeningPEP_SEARCH- PEP SearchSANCTIONS_SEARCH- Sanctions SearchADVERSE_MEDIA_SEARCH- Adverse Media SearchBLACKLIST_SEARCH- Blacklist SearchDOCUMENT_FRAUD- Document FraudTM_CRYPTO- Transaction Monitoring (Crypto)TM_CLASSIC- Transaction Monitoring (Fiat)STRIKE_ALERT_TRIGGER- Alert TriggerSTRIKE_CUSTOMER_HISTORY- Customer HistorySTRIKE_ID_VERIFICATION- ID VerificationSTRIKE_CRYPTO_ACTIVITY- Crypto ActivitySTRIKE_TRANSACTION_REVIEW- Transaction ReviewPAXOS_TM_PTC- Transaction MonitoringPAXOS_TM_INFO_PTC- Case OverviewIDV- IDVTRANSACTION_MONITORING- Transaction MonitoringINFO_BLOCK- InformationRIPPLE_BUSINESS_INFO- Business InformationRIPPLE_CUSTOMER_ADDRESS- Customer AddressRIPPLE_USE_CASE_LICENSE- Use Case and LicenseRIPPLE_FUNDS- Source of Funds & Transaction ActivityRIPPLE_OWNERS- Ownership & Organizational StructureRIPPLE_FCC_CONTROLS- Financial Crimes Compliance ControlsRIPPLE_SANCTIONS_EXPOSURE- Sanctioned Countries ExposureRIPPLE_HIGH_RISK_INDUSTRIES- High-Risk IndustriesRIPPLE_BANKING- BankingRIPPLE_EDD- EDDRIPPLE_RELATED_PARTIES- Related PartiesRIPPLE_WORLDCHECK- Watchlist ScreeningRIPPLE_ADVERSE_MEDIA- Adverse Media ScreeningRIPPLE_RISK_RECALC- Risk Scoring
UBO_RESOLUTION, SIGNING_AUTHORITY, BANK_STATEMENT, BALANCE_SHEETS, INCOME_STATEMENTS, TAX_DOCUMENTS, AUTHORIZATION_FORM, ARTICLES_OF_ASSOCIATION, COMMERCIAL_EXTRACT, ONBOARDING_FORM, SHAREHOLDER_LIST, EDD_QUESTIONNAIRE, USER_RISK_REPORT, RISK_DECISION, INCORPORATION_DOCUMENT, MEETING_MINUTES, PROOF_OF_IDENTITY, FULL_IDV, SOURCE_OF_FUNDS, NAME_CHECK, PROOF_OF_ADDRESS, RDC_VERIFICATION, KYB_PROOF_OF_IDENTITY, KYB_BANK_STATEMENT, KYB_PROOF_OF_ADDRESS, KYB_TAX_DOCUMENTS, CLEAN_SCREENING, CRA, WEB_PRESENCE, FINANCIAL_LICENSE, LICENSING, AML_POLICY, WOLFSBERG_QUESTIONNAIRE, PEP, SANCTIONS, ADVERSE_MEDIA, BLACKLIST, NAME_MATCHING, FINCEN_314A_CP_CUSTOMERS, MULTI_WATCHLIST, BLOCKLIST_SCREENING, PEP_SEARCH, SANCTIONS_SEARCH, ADVERSE_MEDIA_SEARCH, BLACKLIST_SEARCH, DOCUMENT_FRAUD, TM_CRYPTO, TM_CLASSIC, STRIKE_ALERT_TRIGGER, STRIKE_CUSTOMER_HISTORY, STRIKE_ID_VERIFICATION, STRIKE_CRYPTO_ACTIVITY, STRIKE_TRANSACTION_REVIEW, PAXOS_TM_PTC, PAXOS_TM_INFO_PTC, IDV, TRANSACTION_MONITORING, INFO_BLOCK, RIPPLE_BUSINESS_INFO, RIPPLE_CUSTOMER_ADDRESS, RIPPLE_USE_CASE_LICENSE, RIPPLE_FUNDS, RIPPLE_OWNERS, RIPPLE_FCC_CONTROLS, RIPPLE_SANCTIONS_EXPOSURE, RIPPLE_HIGH_RISK_INDUSTRIES, RIPPLE_BANKING, RIPPLE_EDD, RIPPLE_RELATED_PARTIES, RIPPLE_WORLDCHECK, RIPPLE_ADVERSE_MEDIA, RIPPLE_RISK_RECALC, , null Days until deletion. -1 means never delete.
-2147483648 <= x <= 2147483647Was this page helpful?

